Bug 323598 - Window border snapping takes precendence over maximized window snapping
Summary: Window border snapping takes precendence over maximized window snapping
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: general (show other bugs)
Version: git master
Platform: Compiled Sources Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/112...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-16 14:16 UTC by Christoph Feck
Modified: 2013-08-27 06:07 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11.1
thomas.luebking: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Feck 2013-08-16 14:16:16 UTC
... while you are at it :)

If I have a horizontally maximized window, it has a large resistance distance to move it to the left or right (good).

If I move it down and its lower edge hits a non-maximized window, I can easily move it to the left (bad).

ASCII-Art:

|********************|
| maximized          |
|                    |
| now move it down   |
|********************|

|*******|
| small |
|*******|
Comment 1 Thomas Lübking 2013-08-27 06:07:24 UTC
Git commit 6dfaea82d4b2b82b7f94684e89b96aab6c161a53 by Thomas Lübking.
Committed on 16/08/2013 at 19:21.
Pushed by luebking into branch 'KDE/4.11'.

guide partially max'd windows against corner snaps
FIXED-IN: 4.11.1
REVIEW: 112124

M  +9    -4    kwin/geometry.cpp

http://commits.kde.org/kde-workspace/6dfaea82d4b2b82b7f94684e89b96aab6c161a53